Class UmlBaseArtifact

Declaration :

- C++ : class UmlBaseArtifact : public UmlItem
- Java : abstract class UmlBaseArtifact extends UmlItem

Directly inherited by : UmlArtifact

Manage the artifacts

Artifact : UmlBaseArtifact

Operation create

Declaration :

- Uml : static, + create(inout parent : UmlDeploymentView, in s : str) : UmlArtifact, exceptions : RuntimeException
- C++ : public: static UmlArtifact * create(UmlDeploymentView * parent, const char * s)
- Java : public static UmlArtifact create(UmlDeploymentView parent, String s) throws RuntimeException

returns a new artifact named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation associatedDiagram

Declaration :

- Uml : + associatedDiagram() : UmlDeploymentDiagram
- C++ : public: UmlDeploymentDiagram * associatedDiagram()
- Java : public UmlDeploymentDiagram associatedDiagram()

returns the optional associated diagram

Operation set_AssociatedDiagram

Declaration :

- Uml : + set_AssociatedDiagram(inout d : UmlDeploymentDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlDeploymentDiagram * d)
- Java : public void set_AssociatedDiagram(UmlDeploymentDiagram d) throws RuntimeException

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Operation associatedClasses

Declaration :

- Uml : + associatedClasses() : UmlClass
- C++ : public: const QVector<UmlClass> & associatedClasses()
- Java : public UmlClass[] associatedClasses()

returns (in Java a copy of) the optional associated classes
significant when the artifact is stereotyped <<source>>

Operation addAssociatedClass

Declaration :

- Uml : + addAssociatedClass(inout cl : UmlClass) : bool, exceptions : RuntimeException
- C++ : public: bool addAssociatedClass(UmlClass * cl)
- Java : public void addAssociatedClass(UmlClass cl) throws RuntimeException

adds 'cl' at the end of the associated classes list, returns false
if 'cl' is already an associate class.
significant when the artifact is stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Operation removeAssociatedClass

Declaration :

- Uml : + removeAssociatedClass(inout cl : UmlClass) : bool, exceptions : RuntimeException
- C++ : public: bool removeAssociatedClass(UmlClass * cl)
- Java : public void removeAssociatedClass(UmlClass cl) throws RuntimeException

removes an associated class
significant when the artifact is not stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Operation set_AssociatedClasses

Declaration :

- Uml : + set_AssociatedClasses(inout l : UmlClass) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedClasses(const QVector<UmlClass> & l)
- Java : public void set_AssociatedClasses(UmlClass[] l) throws RuntimeException

set the associated classes list
significant when the artifact is stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Operation associatedArtifacts

Declaration :

- Uml : + associatedArtifacts() : UmlArtifact
- C++ : public: const QVector<UmlArtifact> & associatedArtifacts()
- Java : public UmlArtifact[] associatedArtifacts()

returns (in Java a copy of) the associated artifacts list
significant when the artifact is not stereotyped <<source>>

Operation addAssociatedArtifact

Declaration :

- Uml : + addAssociatedArtifact(in cp : UmlArtifact) : bool, exceptions : RuntimeException
- C++ : public: bool addAssociatedArtifact(UmlArtifact * cp)
- Java : public void addAssociatedArtifact(UmlArtifact cp) throws RuntimeException

adds an associated artifacts, returns false if 'cp' is already
an associate artifact.
significant when the artifact is not stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Operation removeAssociatedArtifact

Declaration :

- Uml : + removeAssociatedArtifact(in cp : UmlArtifact) : bool, exceptions : RuntimeException
- C++ : public: bool removeAssociatedArtifact(UmlArtifact * cp)
- Java : public void removeAssociatedArtifact(UmlArtifact cp) throws RuntimeException

removes an associated artifacts
significant when the artifact is not stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Operation removeAllAssociatedArtifacts

Declaration :

- Uml : + removeAllAssociatedArtifacts() : bool, exceptions : RuntimeException
- C++ : public: bool removeAllAssociatedArtifacts()
- Java : public void removeAllAssociatedArtifacts() throws RuntimeException

removes all associated artifacts
significant when the artifact is not stereotyped <<source>>
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppHeader

Declaration :

- Uml : + cppHeader() : string
- C++ : public: const QCString & cppHeader()
- Java : public String cppHeader()

returns the C++ header file definition

Operation set_CppHeader

Declaration :

- Uml : + set_CppHeader(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppHeader(const QCString & s)
- Java : public void set_CppHeader(String s) throws RuntimeException

to set the C++ header file definition
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppSource

Declaration :

- Uml : + cppSource() : string
- C++ : public: const QCString & cppSource()
- Java : public String cppSource()

returns the C++ source file definition

Operation set_CppSource

Declaration :

- Uml : + set_CppSource(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppSource(const QCString & s)
- Java : public void set_CppSource(String s) throws RuntimeException

to set the C++ source file definition
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaSource

Declaration :

- Uml : + javaSource() : string
- C++ : public: const QCString & javaSource()
- Java : public String javaSource()

returns the Java file definition

Operation set_JavaSource

Declaration :

- Uml : + set_JavaSource(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaSource(const QCString & s)
- Java : public void set_JavaSource(String s) throws RuntimeException

to set the Java file definition
On error return FALSE in C++, produce a RuntimeException in Java

Operation idlSource

Declaration :

- Uml : + idlSource() : string
- C++ : public: const QCString & idlSource()
- Java : public String idlSource()

returns the Idl file definition

Operation set_IdlSource

Declaration :

- Uml : + set_IdlSource(in s : string) : bool, exceptions : RuntimeException
- C++ : public: bool set_IdlSource(const QCString & s)
- Java : public void set_IdlSource(String s) throws RuntimeException

to set the Idl file definition
On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded
automatically if needed. args unused

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlDeploymentDiagram
- C++ : private: UmlDeploymentDiagram * _assoc_diagram
- Java : private UmlDeploymentDiagram _assoc_diagram

Relation _assoc_classes (<unidirectional association>)

Declaration :

- Uml : - _assoc_classes : UmlClass, multiplicity : *
- C++ : private: QVector<UmlClass> _assoc_classes
- Java : private UmlClass[] _assoc_classes

Relation _associated (<unidirectional association>)

Declaration :

- Uml : - _associated : UmlArtifact, multiplicity : *
- C++ : private: QVector<UmlArtifact> _associated
- Java : private UmlArtifact[] _associated

Attribut _cpp_h

Declaration :

- Uml : - _cpp_h : string
- C++ : private: QCString _cpp_h
- Java : private String _cpp_h

Attribut _cpp_src

Declaration :

- Uml : - _cpp_src : string
- C++ : private: QCString _cpp_src
- Java : private String _cpp_src

Attribut _java_src

Declaration :

- Uml : - _java_src : string
- C++ : private: QCString _java_src
- Java : private String _java_src

Attribut _idl_src

Declaration :

- Uml : - _idl_src : string
- C++ : private: QCString _idl_src
- Java : private String _idl_src

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

internal, do NOT use it

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

internal, do NOT use it

Operation read_idl_

Declaration :

- Uml : # read_idl_() : void
- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

internal, do NOT use it

Operation UmlBaseArtifact

Declaration :

- Uml : # UmlBaseArtifact(in id : item_id, in n : string) :
- C++ : protected: UmlBaseArtifact(void * id, const QCString & n)
- Java : protected UmlBaseArtifact(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : addAssociatedArtifact , addAssociatedClass , apply , associatedArtifacts , associatedClasses , associatedDiagram , children , childrenVisible , cppHeader , cppSource , create , defined_ , deleteIt , description , getIdentifier , identifier_ , idlSource , isMarked , isToolRunning , isWritable , javaSource , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , removeAllAssociatedArtifacts , removeAssociatedArtifact , removeAssociatedClass , set_AssociatedClasses , set_AssociatedDiagram , set_childrenVisible , set_CppHeader , set_CppSource , set_Description , set_IdlSource , set_isMarked , set_JavaSource , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload